Update Points For Users
Update points for multiple users at once.
- Provides unique identifiers for the points assigned to the users
- There are different categories of points assign by the TagMango system - dailyActive, likeOnPost, commentOnPost, messageInRoom, createPost, 10perCourseCompletion, 50perCourseCompletion, 100perCourseCompletion, attendance, signUpThroughAffiliate
Note
- This endpoint can be used to assign points to multiple users at once.
- It can also be used to revoke points from users by passing negative score.
Authorization
bearer In: header
Header Parameters
Host name of the dashboard, ex: mydomain.tagmango.com
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PATCH "https://api-prod-new.tagmango.com/api/v1/external/gamification/points/assign" \ -H "x-whitelabel-host: string" \ -H "Content-Type: application/json" \ -d '{ "fanIds": [ "646dd0eb159d8b7a7f5a9c29" ], "score": 10 }'{
"646dd0eb159d8b7a7f5a9c29": "646dd0eb159d8b7a7f5a9c29"
}{
"code": 400,
"type": "Bad request",
"statusMessage": "BAD_REQUEST",
"message": "Invalid request",
"success": false
}{
"code": 401,
"type": "Unauthorized",
"statusMessage": "UNAUTHORIZED",
"message": "Invalid token",
"success": false
}Get Collective Points For All Users GET
Get collective points for all users based on active subscriptions to mangoes with gamification enabled. - Provides total scores obtained by the user for each category of points - There are different categories of points assign by the TagMango system - dailyActive, likeOnPost, commentOnPost, messageInRoom, createPost, 10perCourseCompletion, 50perCourseCompletion, 100perCourseCompletion, attendance, signUpThroughAffiliate :::danger Rate Limiting This endpoint is rate limited to 10 requests per minute. :::
Get Badges GET
Get all created badges for creator